Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class ServiceSchemaInfo

    java.lang.Object
      org.apache.cxf.service.model.ServiceSchemaInfo

    public class ServiceSchemaInfo

extends Object

The ServiceInfo class has schema in two forms: the XmlSchema, in a SchemaCollection, and the DOM trees in the SchemaInfo objects. This class exists in order to allow the WSDL cache to store both.

Constructor Summary
`ServiceSchemaInfo()`

Method Summary
`org.apache.cxf.common.xmlschema.SchemaCollection` | `getSchemaCollection()`
`Map<String,Element>` | `getSchemaElementList()`
`List<SchemaInfo>` | `getSchemaInfoList()`
`void` | `setSchemaCollection(org.apache.cxf.common.xmlschema.SchemaCollection schemaCollection)`
`void` | `setSchemaElementList(Map<String,Element> l)`
`void` | `setSchemaInfoList(List<SchemaInfo> schemaInfoList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceSchemaInfo

    public ServiceSchemaInfo()

Method Detail

### getSchemaCollection

    public org.apache.cxf.common.xmlschema.SchemaCollection getSchemaCollection()

### setSchemaCollection

    public void setSchemaCollection(org.apache.cxf.common.xmlschema.SchemaCollection schemaCollection)

### getSchemaInfoList

    public List<SchemaInfo> getSchemaInfoList()

### setSchemaInfoList

    public void setSchemaInfoList(List<SchemaInfo> schemaInfoList)

### getSchemaElementList

    public Map<String,Element> getSchemaElementList()

### setSchemaElementList

    public void setSchemaElementList(Map<String,Element> l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF